<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


//JSONを扱うためのパーサ
//require_once(WEBAPP_DIR."/JSON.php");

/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * [[機能説明]]
 *
 * @package     [[package名]]
 * @author      Your Name <mail@example.com>
 * @access      public
 */
class Customer_itembuy_Return_Done
{
    
    /**
     * [[機能説明]]
     *
     * @access  public
     */
    
    var $c_order;

    var $itemcd;

    var $no;
    var $row;
    
    var $reason;
    var $other_reason;
    
    var $session;
    var $auth;
    
    var $mode;
    var $page;
    
    function execute()
    {
        $membercd = $this->auth->getAuthData("membercd");
        //$data = $this->session->getParameter("return");
        //$reasondata = $this->session->getParameter("reasondata");
        $this->row = $this->c_order->return_update($membercd,
                                                   $this->no,
                                                   $this->row,
                                                   $this->itemcd,
                                                   $this->getReasonStr(),
                                                   $this->other_reason);
        if (!$this->row) return 'input';
        
        $log =& LogFactory::getLog();
        $log->debug("Customer_itembuy_Return_Doneが実行されました", "Customer_itembuy_Return_Done#execute");

        return 'success';
    }


    function getReasonStr()
    {
        switch($this->reason){
            case 1:
                return "商品を間違えて注文した";
                break;
            case 2:
                return "他で安い価格を見つけた";
                break;
            case 3:
                return "商品がしっかりと梱包されていなかった";
                break;
            case 4:
                return "商品が配送予定日までに届かなかった";
                break;
            case 5:
                return "商品に、配送中にできた目立った傷や破損がある";
                break;
            case 6:
                return "商品にトラブルや不具合がある";
                break;
            case 7:
                return "必要がなくなった";
                break;
            case 8:
                return "その他（詳細は下記に記入）";
                break;
            default:
                return "不明";
        }
    }
}
?>
